<template>
  <div>
    <h5 class="q-my-sm schedule-header">
      {{ $t("schedule_session.section_2.title") }}
    </h5>

    <Scheduler :existingEvents="existingEvents" :updateEvent="updatedFromScheduler" :maxCapacity="maxCapacity"
      :trunks="trunks" :chosenTrunk="chosenTrunk" :existingStartTime="chosenStartTime" :existingCapacity="chosenCapacity"
      :existingLengthMins="chosenLengthMins" />

    <br />

    <q-page-sticky position="bottom-left">
      <q-btn class="q-ma-sm" @click="() => handleNextFormSectionRequested('prev')" fab color="primary">
        <q-icon name="chevron_left" />
        <div class="q-pr-sm">{{ $t("schedule_session.prev") }}</div>
      </q-btn>
    </q-page-sticky>

    <q-page-sticky position="bottom-right" :disable="!chosenStartTime || !chosenCapacity || !chosenLengthMins">
      <q-btn @click="() => handleNextFormSectionRequested('next')" fab color="primary" class="q-ma-sm">
        <div class="q-pl-sm">
          {{ $t("schedule_session.next") }}
        </div>
        <q-icon name="chevron_right" />
      </q-btn>
    </q-page-sticky>
  </div>
</template>
<script>
import Scheduler from "./Scheduler.vue";

export default {
  props: {
    requestSaveFormSection: {
      required: true,
    },
    existingEvents: {
      required: true
    },
    maxCapacity: {
      required: true //TODO
    },
    trunks: {
      required: true
    }
  },
  data()
  {
    return {
      chosenStartTime: null,
      chosenLengthMins: 60,
      chosenCapacity: 10,
      chosenTrunk: null
    };
  },
  methods: {
    updatedFromScheduler(startTime, length, capacity, trunk)
    {
      this.chosenStartTime = startTime;
      this.chosenLengthMins = length;
      this.chosenCapacity = capacity;
      this.chosenTrunk = trunk;
    },
    handleNextFormSectionRequested(direction)
    {
      this.requestSaveFormSection(
        direction,
        this.chosenStartTime,
        this.chosenLengthMins,
        this.chosenCapacity,
        this.chosenTrunk
      );
    }
  },
  components: {
    Scheduler
  }
};
</script>

<style scoped></style>